net.minecraft.client.resources

## Class SimpleReloadableResourceManager

- java.lang.Object
- - net.minecraft.client.resources.SimpleReloadableResourceManager

- All Implemented Interfaces:
    ReloadableResourceManager, ResourceManager

      public class SimpleReloadableResourceManager
      extends Object
      implements ReloadableResourceManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleReloadableResourceManager(MetadataSerializer par1MetadataSerializer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getAllResources(ResourceLocation par1ResourceLocation)`
    `Resource` | `getResource(ResourceLocation par1ResourceLocation)`
    `Set` | `getResourceDomains()`
    `void` | `registerReloadListener(ResourceManagerReloadListener par1ResourceManagerReloadListener)`
    `void` | `reloadResourcePack(ResourcePack par1ResourcePack)`
    `void` | `reloadResources(List par1List)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleReloadableResourceManager

          public SimpleReloadableResourceManager(MetadataSerializer par1MetadataSerializer)

  - ### Method Detail

    - #### reloadResourcePack

          public void reloadResourcePack(ResourcePack par1ResourcePack)

    - #### getResourceDomains

          public Set getResourceDomains()

      Specified by:
        `getResourceDomains` in interface `ResourceManager`

    - #### getResource

          public Resource getResource(ResourceLocation par1ResourceLocation)
                               throws IOException

      Specified by:
        `getResource` in interface `ResourceManager`
      Throws:
        `IOException`

    - #### getAllResources

          public List getAllResources(ResourceLocation par1ResourceLocation)
                               throws IOException

      Specified by:
        `getAllResources` in interface `ResourceManager`
      Throws:
        `IOException`

    - #### reloadResources

          public void reloadResources(List par1List)

      Specified by:
        `reloadResources` in interface `ReloadableResourceManager`

    - #### registerReloadListener

          public void registerReloadListener(ResourceManagerReloadListener par1ResourceManagerReloadListener)

      Specified by:
        `registerReloadListener` in interface `ReloadableResourceManager`